## org.mariadb.jdbc.internal.protocol.tls
Class MariaDbX509TrustManager

    java.lang.Object
      org.mariadb.jdbc.internal.protocol.tls.MariaDbX509TrustManager

All Implemented Interfaces:
  TrustManager, X509TrustManager

    public class MariaDbX509TrustManager

extends Object
implements X509TrustManager

Constructor Summary
`MariaDbX509TrustManager(Options options)` MyX509TrustManager.

Method Summary
`void` `checkClientTrusted(X509Certificate[] x509Certificates, String string)` Check client trusted.
`void` `checkServerTrusted(X509Certificate[] x509Certificates, String string)` Check server trusted.
`X509Certificate[]` `getAcceptedIssuers()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MariaDbX509TrustManager

    public MariaDbX509TrustManager(Options options)
                            throws SQLException

  MyX509TrustManager.

  Parameters:
    `options` - parsed url options
  Throws:
    `SQLException` - exception

Method Detail

### checkClientTrusted

    public void checkClientTrusted(X509Certificate[] x509Certificates,
                                   String string)
                            throws CertificateException

  Check client trusted.

  Specified by:
    `checkClientTrusted` in interface `X509TrustManager`
  Parameters:
    `x509Certificates` - certificate
    `string` - string
  Throws:
    `CertificateException` - exception

### checkServerTrusted

    public void checkServerTrusted(X509Certificate[] x509Certificates,
                                   String string)
                            throws CertificateException

  Check server trusted.

  Specified by:
    `checkServerTrusted` in interface `X509TrustManager`
  Parameters:
    `x509Certificates` - certificate
    `string` - string
  Throws:
    `CertificateException` - exception

### getAcceptedIssuers

    public X509Certificate[] getAcceptedIssuers()

  Specified by:
    `getAcceptedIssuers` in interface `X509TrustManager`

Copyright © 2017. All rights reserved.